Test::Set::CountableSetRanges Class Reference

Range iterator producing subsets of an IntSet. More...

`#include <set.hh>`

## Public Member Functions

| CountableSetRanges (void)
| Default constructor.
| CountableSetRanges (const Gecode::IntSet &d, int cur)
| Initialize with set d0 and bit-pattern cur0.
void | init (const Gecode::IntSet &d, int cur)
| Initialize with set d0 and bit-pattern cur0.
| ToRanges (void)
| Default constructor.
void | init (CountableSetValues &i)
| Initialize with value iterator i.
void | operator++ (void)
| Move iterator to next range (if possible).
| MinMax (void)
| Default constructor.
| MinMax (int min, int max)
| Initialize with range min to max.
bool | operator() (void) const
| Test whether iterator is still at a range or done.
int | min (void) const
| Return smallest value of range.
int | max (void) const
| Return largest value of range.
unsigned int | width (void) const
| Return width of range (distance between minimum and maximum).

## Additional Inherited Members

Protected Member Functions inherited from Gecode::Iter::Ranges::MinMax
void | finish (void)
| Set range such that iteration stops
Protected Attributes inherited from Gecode::Iter::Values::ToRanges< CountableSetValues >
CountableSetValues | i
| Value iterator used.
Protected Attributes inherited from Gecode::Iter::Ranges::MinMax
int | mi
| Minimum of current range.
int | ma
| Maximum of current range.

## Detailed Description

Range iterator producing subsets of an IntSet.

Definition at line 98 of file set.hh.

## Constructor & Destructor Documentation

## CountableSetRanges() [1/2]

Test::Set::CountableSetRanges::CountableSetRanges | ( | void |  | ) |

inline

Default constructor.

Definition at line 105 of file set.hh.

## CountableSetRanges() [2/2]

Test::Set::CountableSetRanges::CountableSetRanges | ( | const Gecode::IntSet & | d,
|  | int | cur )

inline

Initialize with set d0 and bit-pattern cur0.

Definition at line 107 of file set.hh.

## Member Function Documentation

## init()

void Test::Set::CountableSetRanges::init | ( | const Gecode::IntSet & | d,
|  | int | cur )

inline

Initialize with set d0 and bit-pattern cur0.

Definition at line 111 of file set.hh.

The documentation for this class was generated from the following file:

- test/set.hh